# Credit records

Version: 1.0

## Servers

Sandbox
```
https://api.solaris-sandbox.de
```

Production
```
https://api.solarisbank.de
```

## Download OpenAPI description

[Credit records](https://docs.solarisgroup.com/_bundle/api-reference/lending/credit-record.yaml)

## Person credit record

### Create a credit record for a retail customer

 - [POST /v1/persons/{person_id}/credit_records](https://docs.solarisgroup.com/api-reference/lending/credit-record/person-credit-record/personcreditrecordweb.v1.creditrecords.createoperation.md): Creates a credit record and assigns to the customer with the person_id specified in the request URL. You can specify the source of the credit record file as either partner or solarisBank. If the source is set to partner, you must collect the credit record yourself from a credit bureau and add the credit record file content Base64-encoded in the payload.

### Create a credit record for a freelancer

 - [POST /v1/freelancers/persons/{person_id}/credit_records](https://docs.solarisgroup.com/api-reference/lending/credit-record/person-credit-record/personcreditrecordweb.v1.creditrecords.createfreelanceroperation.md): Creates a credit record and assigns to the freelancer with the person_id specified in the request URL. You can specify the source of the credit record file as either partner or solarisBank. If the source is set to partner, you must collect the credit record yourself from a credit bureau and add the credit record file content Base64-encoded in the payload.

### Retrieve a credit record

 - [GET /v1/persons/{person_id}/credit_records/{credit_record_id}](https://docs.solarisgroup.com/api-reference/lending/credit-record/person-credit-record/personcreditrecordweb.v1.creditrecords.showoperation.md): Returns the information about a customer's existing credit record, including the status and validity of the credit record. Add the customer's person_id and the credit_record_id in the request URL. If the status of a credit record is expired, you must create a new credit record for the customer.

